
// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently,
// but are changed infrequently

#pragma once

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN            // Exclude rarely-used stuff from Windows headers
#endif

#include "targetver.h"

#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS      // some CString constructors will be explicit

// turns off MFC's hiding of some common and often safely ignored warning messages
#define _AFX_ALL_WARNINGS

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions


#ifndef _AFX_NO_OLE_SUPPORT
#include <afxdtctl.h>           // MFC support for Internet Explorer 4 Common Controls
#endif
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>             // MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <afxcontrolbars.h>     // MFC support for ribbons and control bars

#define MY_MAX_PATH 1024

inline CString GetModuleFileName()
{
	TCHAR pszModuleFileName[MY_MAX_PATH];
	ZeroMemory(pszModuleFileName, MY_MAX_PATH);
	::GetModuleFileName(NULL, pszModuleFileName, MY_MAX_PATH);
	CString stModuleFileName = CString(pszModuleFileName);
	TCHAR pszCanonicalaizedModuleFileName[MY_MAX_PATH];
	if(::PathCanonicalize(pszCanonicalaizedModuleFileName, pszModuleFileName))
	{
		stModuleFileName = CString(pszCanonicalaizedModuleFileName);
	}
	return stModuleFileName;
}

inline CString GetModulePath()
{
	CString stModulePath = GetModuleFileName();
	int nEnd = stModulePath.ReverseFind('\\');
	stModulePath.Delete(nEnd+1, stModulePath.GetLength()-nEnd-1);
	return stModulePath;
}






